#ifdef VHDL

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>
using namespace std;

namespace morpheo              {
namespace behavioural          {
  
  void Vhdl::set_body_component (string         name_instance      ,
				 string         name_component     ,
				 list<string>   list_port_map      )
  {
    set_body(name_instance + " : " + name_component);
    set_body("port map (");
    set_list(_list_body, get_list(list_port_map, 1, ",", false));
    set_body(");");
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
